﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceKeywordReplyWithActivateGroupListDb(engine *xorm.Engine) dao.SuperCloudIssuanceKeywordReplyWithActivateGroupListDao {
	return &SuperCloudIssuanceKeywordReplyWithActivateGroupListDb{Db: engine}
}

type SuperCloudIssuanceKeywordReplyWithActivateGroupListDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceKeywordReplyWithActivateGroupListDb) FindSuperCloudIssuanceKeywordReplyWithActivateGroupList(activateGroupId int) (mm *[]models.SuperCloudIssuanceKeywordReplyWithActivateGroupList, err error) {
	var m []models.SuperCloudIssuanceKeywordReplyWithActivateGroupList
	if err := s.Db.Where("activate_group_id =?", activateGroupId).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (s SuperCloudIssuanceKeywordReplyWithActivateGroupListDb) BatchAddSuperCloudIssuanceUserRobotBindSourceFollowGroups(data []*models.SuperCloudIssuanceKeywordReplyWithActivateGroupList) (int64, error) {
	affected, err := s.Db.Insert(data)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
