package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type SuperCloudIssuanceGoodsCategoryDb struct {
	Db *xorm.Engine
}

func NewSuperCloudIssuanceGoodsCategoryDb(engine *xorm.Engine) dao.SuperCloudIssuanceGoodsCategoryDao {
	return &SuperCloudIssuanceGoodsCategoryDb{Db: engine}
}

func (h SuperCloudIssuanceGoodsCategoryDb) FindSuperCloudIssuanceGoodsCategory(start, limit int) (mm *[]models.SuperCloudIssuanceGoodsCategory, err error) {
	var m []models.SuperCloudIssuanceGoodsCategory
	if err := h.Db.Where("1=1").Limit(limit, start).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
