package models

type InstallmentPaymentSchemeWithGoods struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	GoodsId  int    `json:"goods_id" xorm:"not null default 0 comment('商品id') INT(11)"`
	SchemeId int    `json:"scheme_id" xorm:"not null default 0 comment('方案id') INT(11)"`
	Pvd      int    `json:"pvd" xorm:"not null default 1 comment('平台(1:自营商城)') TINYINT(3)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
